> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unaccept and unlock segments

> Unaccept and unlock segments.
Sets individual segments' "Review Done" to false. Confirmed segments will remain confirmed.

Example curl:
```
  curl --X --request POST 'https://lilt.com/2/segments/review/unlock?key=API_KEY' \
  --header 'Content-Type: application/json' \
  --data-raw '{
      "segmentIds": [23921, 23922]
  }'
```




## OpenAPI

````yaml /api-reference/openapi-bundled.yaml post /segments/review/unlock
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /segments/review/unlock:
    post:
      tags:
        - Segments
      summary: Unaccept and unlock segments
      description: >
        Unaccept and unlock segments.

        Sets individual segments' "Review Done" to false. Confirmed segments
        will remain confirmed.


        Example curl:

        ```
          curl --X --request POST 'https://lilt.com/2/segments/review/unlock?key=API_KEY' \
          --header 'Content-Type: application/json' \
          --data-raw '{
              "segmentIds": [23921, 23922]
          }'
        ```
      operationId: unlockSegments
      requestBody:
        description: segment ids to update
        required: true
        content:
          application/json:
            schema:
              title: SegmentDoneResponse
              type: object
              properties:
                segmentIds:
                  description: array of segment ids
                  type: array
                  example:
                    - 30032
                    - 30125
                  items:
                    type: number
              required:
                - segmentIds
      responses:
        '200':
          description: array of updated segments
          content:
            application/json:
              schema:
                title: SegmentDoneResponse
                type: array
                items:
                  type: number
components:
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````